Package org.apache.sysds.runtime.controlprogram.federated.monitoring.controllers

# Class StatisticsController

java.lang.Object
org.apache.sysds.runtime.controlprogram.federated.monitoring.controllers.StatisticsController

All Implemented Interfaces:
  `IController`

public class StatisticsController extends Object implements IController

## Constructor Summary

Constructors
Constructor
Description
`StatisticsController()`

## Method Summary

Modifier and Type
Method
Description
`io.netty.handler.codec.http.FullHttpResponse`
`create(Request request)`
`io.netty.handler.codec.http.FullHttpResponse`
`delete(Request request, Long objectId)`
`io.netty.handler.codec.http.FullHttpResponse`
`get(Request request, Long objectId)`
`io.netty.handler.codec.http.FullHttpResponse`
`getAll(Request request)`
`io.netty.handler.codec.http.FullHttpResponse`
`update(Request request, Long objectId)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StatisticsController

public StatisticsController()

## Method Details

### create

public io.netty.handler.codec.http.FullHttpResponse create(Request request)

Specified by:
  `create` in interface `IController`

### update

public io.netty.handler.codec.http.FullHttpResponse update(Request request, Long objectId)

Specified by:
  `update` in interface `IController`

### delete

public io.netty.handler.codec.http.FullHttpResponse delete(Request request, Long objectId)

Specified by:
  `delete` in interface `IController`

### get

public io.netty.handler.codec.http.FullHttpResponse get(Request request, Long objectId)

Specified by:
  `get` in interface `IController`

### getAll

public io.netty.handler.codec.http.FullHttpResponse getAll(Request request)

Specified by:
  `getAll` in interface `IController`